import { analyzeCommits } from '..';
describe('analyzeCommits', () => {
    it('should filter out unrelated commits', async () => {
        const ctx = {
            commits: [
                {
                    hash: '123',
                    message: 'fix: bug',
                },
                {
                    hash: '456',
                    message: 'feat: major feature',
                },
            ],
            cwd: '/opt/test',
            env: {},
            logger: {
                log: jest.fn(),
            },
        };
        const pluginConfig = {
            subtree: ['packages/1'],
            getCommitList: async () => [{ hash: '123' }],
        };
        const bump = await analyzeCommits(pluginConfig, ctx);
        expect(bump).toBe('patch');
    });
    it('should not filter if all commits match', async () => {
        const ctx = {
            commits: [
                {
                    hash: '123',
                    message: 'fix: bug',
                },
                {
                    hash: '456',
                    message: 'feat: major feature',
                },
            ],
            cwd: '/opt/test',
            env: {},
            logger: {
                log: jest.fn(),
            },
        };
        const pluginConfig = {
            subtree: ['packages/1'],
            getCommitList: async () => [{ hash: '123' }, { hash: '456' }],
        };
        const bump = await analyzeCommits(pluginConfig, ctx);
        expect(bump).toBe('minor');
    });
});
